| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Configurable::PropertyReference Class Reference

List of all members.

## Detailed Description

Allow references to options as in old style.

Definition at line 56 of file Configurable.py.

## Public Member Functions
def | __init__
def | __repr__
def | __resolve__
def | getFullName
## Public Attributes
| name

## Member Function Documentation

def Configurable::PropertyReference::__init__ | ( |  | self,
|  |  | propname |
| ) |  |  |

Definition at line 57 of file Configurable.py.

    00057                                :
    00058         self.name = propname
        def __repr__(self):

def Configurable::PropertyReference::__repr__ | ( |  | self | ) |

Definition at line 59 of file Configurable.py.

    00059                       :
    00060         return "@%s"%self.name
        def __resolve__(self):

def Configurable::PropertyReference::__resolve__ | ( |  | self | ) |

Definition at line 61 of file Configurable.py.

    00061                          :
    00062         # late binding for property references
    00063         retval = None
    00064         refname, refprop = self.name.rsplit('.',1)
    00065         if refname in Configurable.allConfigurables:
    00066             conf = Configurable.allConfigurables[refname]
    00067             retval = getattr(conf,refprop)
    00068             if hasattr(retval,"getFullName"):
    00069                 retval = retval.getFullName()
    00070         else:
    00071             raise NameError("name '%s' not found resolving '%s'"%(refname,self))
    00072         return retval
        def getFullName(self):

def Configurable::PropertyReference::getFullName | ( |  | self | ) |

    This function allow transparent integration with
    Configurable.getValuedProperties.

Definition at line 73 of file Configurable.py.

    00073                          :
    00074         """This function allow transparent integration with
    00075         Configurable.getValuedProperties.
    00076         """
    00077         try:
    00078             return self.__resolve__()
    00079         except NameError:
    00080             # ignore the error if we cannot resolve the name yet
    00081             return self
    00082         except AttributeError:
    00083             # ignore the error if we cannot resolve the attribute yet
    00084             return self
    00085
    ### base class for configurable Gaudi algorithms/services/algtools/etc. ======

## Member Data Documentation

Configurable::PropertyReference::name

Definition at line 58 of file Configurable.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/Configurable.py